:root{
    --main-font: 'Montserrat', sans-serif;
    --title-font: 'Cormorant Garamond', serif;
    --gold: #BEAE82;
    --gold-light: #F6E8B9;
    --white: #ffffff;
    --pale-white: #FFFFFF59;
    --dark: #10151C;
    --gold-gradient-vertical: linear-gradient(180.00deg, rgba(246, 232, 185, 1),rgba(70, 50, 6, 1) 100%);
    --gold-gradient-horizontal: linear-gradient(90.00deg, rgba(70, 50, 6, 1),rgba(244.08, 230.01, 183.05, 1) 10%,rgba(158, 141, 95.5, 1) 22%,rgba(108, 88, 48, 1) 48%,rgba(158, 141, 96, 1) 83%,rgba(246, 232, 185, 1) 93%,rgba(70, 50, 6, 1) 100%);
    --gold-gradient-btn: linear-gradient(90.00deg, rgba(70, 50, 6, 1),var(--Gold1, rgba(190, 174, 130, 1)) 49%,rgba(70, 50, 6, 1) 100%);
    --gold-box-shadow: 0px 0px 35px 0px rgba(255, 255, 255, 0.35);
    --overlay-gradient-1: linear-gradient(180.00deg, rgba(16.46, 20.66, 28.44, 0.2),rgba(16, 21, 28, 1) 100%);
    --overlay-gradient-2: linear-gradient(180.00deg, rgba(16, 21, 28, 0),rgba(16, 21, 28, 1) 100%),linear-gradient(180.00deg, rgba(16, 21, 28, 1),rgba(16, 21, 28, 0) 100%);
    --overlay-gradient-3: linear-gradient(180.00deg, rgba(16, 21, 28, 1) 0%,rgba(16, 21, 28, 0) 25%),linear-gradient(180.00deg, rgba(16, 21, 28, 0) 75%,rgba(16, 21, 28, 1) 100%);
    --title-shadow: 15px 0 0 rgb(16, 21, 28);
    --img-shadow: 15px 15px 10px 0px rgba(0, 0, 0, 0.5);
    --section-distance: 90px;
    --size-1: 12px;
    --size-2: 24px
}


/* common styles */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box
}
html{
    font-size: 10px
}
body{
    font-size: 1.6rem;
    font-family: var(--main-font);
    font-weight: 400;
    line-height: 1.6;
    color: var(--white);
    background-color: var(--dark)
}
address{
    font-style: normal
}
.container{
    width: 100%;
    max-width: 1264px;
    padding: 0 var(--size-1);
    margin: 0 auto
}
a{
    text-decoration: none
}
section{
    overflow: hidden
}
section a:not(.btn), footer a:not(.btn){
    color: var(--gold)
}
section a:not(.btn, .gallery-group a):hover{
    background: var(--gold-gradient-vertical);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent
}

.subtitle{
    color: var(--gold);
    text-transform: uppercase;
    letter-spacing: 4px;
    margin-bottom: 5px
}

h1{
    font-family: var(--title-font);
    font-size: 22rem;
    font-weight: 500;
    line-height: 1;
    text-transform: uppercase;
    text-shadow: var(--title-shadow);
    letter-spacing: 8px
}

h2{
    font-family: var(--title-font);
    font-size: 5.5rem;
    line-height: 1.1;
    font-weight: 400;
    letter-spacing: 5px
}
.about h2{
    margin-bottom: 10px
}

h3{ 
    font-family: var(--title-font);
    font-size: 3rem;
    line-height: 1.1;
    letter-spacing: 5px;
    text-transform: uppercase;
    font-weight: 400
}
section ul:not(:first-child){
    margin-top: var(--size-1)
}
ul li{
    list-style: none
}
ul li:not(nav ul li){
    padding-left: 20px;
    position: relative
}
ul li:not(nav ul li):before{
    content: '';
    width: 9px;
    height: 9px;
    border-radius: 50%;
    position: absolute;
    left: 0;
    top: 7px;
    background: var(--gold-gradient-vertical)
}
ul li:not(nav ul li):not(:first-child), ol li:not(:first-child){
    margin-top: 8px
}

ol{
    counter-reset: item
}
ol li{
    list-style: none;
    padding-left: 27px;
    position: relative;
    counter-increment: item
}
ol li:before{
    content: counter(item)'.';
    color: var(--gold);
    position: absolute;
    left: 0;
    font-weight: 600
}

section p:not(:first-child){
    margin-top: var(--size-1)
}

input, textarea{
    font-family: var(--main-font);
    font-size: 1.6rem;
    text-transform: uppercase;
    color: var(--gold);
    padding: 0 var(--size-2);
    outline: none;
    border: 1px solid var(--gold);
    border-radius: 30px;
    height: 56px;
    background: none;
    width: 100%
}
textarea{
    padding-top: 19px;
    padding-bottom: 19px;
    appearance: none;
    resize: none
}
input::placeholder, textarea::placeholder{
    font-family: var(--main-font);
    font-size: 1.6rem;
    text-transform: uppercase;
    color: var(--pale-white)
}

/* end of common styles */



/* common class styles */

/* buttons */
.btn, input[type="button"]{
    padding: 0 var(--size-2);
    font-weight: 600;
    font-size: 1.8rem;
    line-height: 1;
    text-decoration: none;
    text-align: center;
    height: 45px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    border-radius: 30px;
    transition: 0.3s
}
.btn:hover{
    cursor: pointer;
    transition: 0.3s
}
.main-btn, .main-menu a.main-btn{
    background: var(--gold-gradient-btn);
    border: 1px solid transparent;
    color: var(--white);
    text-transform: none
}
.main-btn:hover, .main-menu a.main-btn:hover{
    border-color: var(--gold)
}
.empty-btn{
    background: transparent;
    border: 1px solid var(--pale-white);
    color: var(--gold)
}

.empty-btn:hover{
    color: var(--gold-light)
}


/* end of buttons */
.grid-2{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 100px
}


.none{
    display: none!important
}


.img-container{
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden
}
.img-container img, .img-container video{
    object-fit: cover;
    width: 100%;
    height: 100%
}

section .overlay{
    width: 100%;
    height: 100%;
    background: var(--overlay-gradient-1);
    position: absolute;
    top: 0;
    left: 0
}
.bg-wrap{
    position: relative
}
.bg{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    top: 0;
    left: 0
}
.about .bg{
	object-position: bottom;
}

/* end of common class styles */

/* social */
.social a{
    display: inline-block;
    width: 40px;
    height: 40px;
    border: 1px solid var(--pale-white);
    border-radius: 50%;
    transition: 0.3s
}
.social a:hover{
    border-color: var(--gold);
    transition: 0.3s
}
.v{
    background: url("../img/icons/v-hover.svg");
    background-size: 40%;
    background-position: center;
    background-repeat: no-repeat
}
.tg{
    background: url("../img/icons/tg-hover.svg");
    background-size: 37%;
    background-position: center;
    background-repeat: no-repeat
}

.i{
    background: url("../img/icons/i-hover.svg");
    background-size: 40%;
    background-position: center;
    background-repeat: no-repeat
}
.f{
    background: url("../img/icons/f-hover.svg");
    background-size: 21%;
    background-position: center;
    background-repeat: no-repeat
}
.tt{
    background: url("../img/icons/tt-hover.svg");
    background-size: 34%;
    background-position: center;
    background-repeat: no-repeat
}
.wa{
    background: url("../img/icons/wa-hover.svg");
    background-size: 40%;
    background-position: center;
    background-repeat: no-repeat
}
.v:hover{
    background: url("../img/icons/v-hover.svg");
    background-size: 40%;
    background-position: center;
    background-repeat: no-repeat
}
.tg:hover{
    background: url("../img/icons/tg-hover.svg");
    background-size: 37%;
    background-position: center;
    background-repeat: no-repeat
}

.i:hover{
    background: url("../img/icons/i-hover.svg");
    background-size: 40%;
    background-position: center;
    background-repeat: no-repeat
}
.f:hover{
    background: url("../img/icons/f-hover.svg");
    background-size: 21%;
    background-position: center;
    background-repeat: no-repeat
}
.tt:hover{
    background: url("../img/icons/tt-hover.svg");
    background-size: 34%;
    background-position: center;
    background-repeat: no-repeat
}
.wa:hover{
    background: url("../img/icons/wa-hover.svg");
    background-size: 40%;
    background-position: center;
    background-repeat: no-repeat
}


/* end of top banner */

/* header */
header{
   position: fixed;
   width: 100%;
    transition: 0.3s ease;
   z-index: 4
}
header.scroll{
    transform: translateY(-100%);
    opacity: 0
}
header.active-bg{
    background-color: var(--dark)
}

.header .container > .logo{
    display: inline-flex;
    position: fixed;
    top: 0;
    left: var(--size-1)
}
.header .container > .logo img{
    width: 100px
}

.main-menu a:not(.btn){
    color: var(--white);
    text-transform: uppercase;
    font-weight: 600
}
.main-menu a:not(.btn):hover{
   background: var(--gold-gradient-horizontal);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent
}

.main-menu >nav >ul{
    display: flex;
    align-items: center;
    gap: 35px
}
.header{
    padding: 20px 0
}
.header .container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--size-2);
    max-width: 100dvw
}
.social{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px
}
.header.only-desktop .social{
    position: absolute;
    right: var(--size-1)
}
.header.only-mobile .social{
    margin-top: 20px;
    width: fit-content
}
.footer .social{
    margin-top: var(--size-1)
}


/* end of header */

section:not(:first-of-type), footer{
    margin-top: var(--section-distance)
}


/* footer */

.footer .container{
    text-align: center;
    padding: var(--size-2) var(--size-1);
    border-top: 1px solid var(--gold)
}

/* end of footer */